Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drupal.project.async_command
Enum AbstractDrupalApp.EncryptionMethod

    java.lang.Object
      java.lang.Enum<AbstractDrupalApp.EncryptionMethod>
          org.drupal.project.async_command.AbstractDrupalAppDeprecated.EncryptionMethod

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractDrupalApp.EncryptionMethod>

Enclosing class:
  AbstractDrupalApp

Deprecated.

    @Deprecated
    public static enum AbstractDrupalApp.EncryptionMethod

extends java.lang.Enum<AbstractDrupalApp.EncryptionMethod>

Enum Constant Summary
`BASE64` Deprecated.
`MCRYPT` Deprecated.
`NONE` Deprecated.

Method Summary
`static AbstractDrupalApp.EncryptionMethod` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static AbstractDrupalApp.EncryptionMethod[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final AbstractDrupalApp.EncryptionMethod NONE

  Deprecated.

### BASE64

    public static final AbstractDrupalApp.EncryptionMethod BASE64

  Deprecated.

### MCRYPT

    public static final AbstractDrupalApp.EncryptionMethod MCRYPT

  Deprecated.

Method Detail

### values

    public static AbstractDrupalApp.EncryptionMethod[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractDrupalApp.EncryptionMethod c : AbstractDrupalApp.EncryptionMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractDrupalApp.EncryptionMethod valueOf(java.lang.String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD